<html>
<head>
  <title>graph test</title>
</head>
<body>
  <h1>Server CPU/MEM Real time chart</h1>
  <!--<div id="graph" class="epoch" style="height: 500px;"></div>-->
  <div id="graph2" class="epoch" style="height: 500px;"></div>


    <script src="https://unpkg.com/vue@next"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
  <script type="text/javascript" src="//code.jquery.com/jquery-1.4.2.min.js"></script>
  <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/socket.io/3.1.2/socket.io.min.js"></script>
  <script type="text/javascript" src="{{ url_for('static', filename='js/d3.min.js') }}"></script>
  <script type="text/javascript" src="{{ url_for('static', filename='js/epoch.min.js') }}"></script>
  <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='css/epoch.min.css') }}" />

  
  <script>
    
    //var ws = new WebSocket("ws://192.168.197.132:5000/test");
    //var ws = new WebSocket("ws://127.0.0.1:5000/test");
    var data = [
        { label: "Series 1", values: [] },
        { label: "Series 2", values: [] },
      ];
    var lineChart = $('#graph').epoch({
      type: 'time.line',
      data: data,
      axes: ['left', 'right', 'bottom']
    });

    var data2 = [
        { label: "CPU", values: [] },
        { label: "MEM", values: [] },
      ];
    var lineChart2 = $('#graph2').epoch({
      type: 'time.line',
      data: data2,
      axes: ['left', 'right', 'bottom']
    });
  

    $(document).ready(function() {
        namespace = '/test';
        var socket = io.connect(location.protocol + '//' + document.domain + ':' + location.port + namespace);
        console.log(location.protocol + '//' + document.domain + ':' + location.port + namespace);
        socket.on('my_response', function(msg) {
            //$('#log').append('<p>Received: ' + msg.data + '</p>');
            console.log(msg);
            var current = JSON.parse(msg);
            console.log(current);
            lineChart.push(current);
        });
        namespace2 = '/senddata';
        var socket2 = io.connect(location.protocol + '//' + document.domain + ':' + location.port + namespace2);
        console.log(location.protocol + '//' + document.domain + ':' + location.port + namespace);
        socket2.on('containerdata', function(msg) {
            //$('#log').append('<p>Received: ' + msg.data + '</p>');
            console.log(msg);
            var current = JSON.parse(msg);
            console.log(current);
            lineChart2.push(current);
        });
    });
  </script>



</body>
</html>